/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#include "StdAfx.h"
#include "configuredialog.h"
#include "Kernel.h"

using namespace nf;

extern kr::CKernel *g_pK;

CConfigureDialog::CConfigureDialog() 
	: dialogT<CConfigureDialog>(g_PluginInfo, 10)
{
	SetDialogItems();
}

CConfigureDialog::~CConfigureDialog()
{
}

UINT CConfigureDialog::ShowModal()
{
	g_pK->m_S.reload();
//       
	m_DialogItems[ID_SHOW_INDISK_MENU].Selected = g_pK->m_S.GetValue(nf::ST_SHOW_IN_DISK_MENU);
	m_DialogItems[ID_SHOW_INPLUGINS_MENU].Selected = g_pK->m_S.GetValue(nf::ST_SHOW_IN_PLUGINS_MENU);
	m_DialogItems[ID_CONFIRM_OVERRIDE].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_OVERRIDE);
	m_DialogItems[ID_CONFIRM_DELETE].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_DELETE);
	m_DialogItems[ID_CONFIRM_DELETE_CATALOGS].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_DELETE_CATALOGS);
	m_DialogItems[ID_CONFIRM_IMPLICIT_CREATING].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_IMPLICIT_CREATION);
	m_DialogItems[ID_CONFIRM_IMPLICIT_DELETION].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_IMPLICIT_DELETION);
	m_DialogItems[ID_CONFIRM_GO_TO_NEAREST].Selected = g_pK->m_S.GetValue(nf::ST_CONFIRM_GO_TO_NEAREST);
	m_DialogItems[ID_ALWAYS_EXPAND_SHORTCUTS].Selected = g_pK->m_S.GetValue(nf::ST_ALWAYS_EXPAND_SHORTCUTS);
	m_DialogItems[ID_HISTORY_IN_APPLY_COMMAND_DIALOG].Selected = g_pK->m_S.GetValue(nf::ST_HISTORY_IN_DIALOG_APPLY_COMMAND);
	m_DialogItems[ID_TEMPORARY_AS_HIDDEN].Selected = g_pK->m_S.GetValue(nf::ST_SHOW_TEMPORARY_AS_HIDDEN);
	lstrcpy(m_DialogItems[ID_EDIT_PREFIX].Data, g_pK->m_S.GetValue(nf::STS_PREFIXES).c_str());

//  
	int nChoosedItem;
	if (Execute(nChoosedItem))
	if (nChoosedItem != ID_CANCEL)
	{	// 
		g_pK->m_S.SetValue(nf::ST_SHOW_IN_DISK_MENU, m_DialogItems[ID_SHOW_INDISK_MENU].Selected);
		g_pK->m_S.SetValue(nf::ST_SHOW_IN_PLUGINS_MENU, m_DialogItems[ID_SHOW_INPLUGINS_MENU].Selected); 
		g_pK->m_S.SetValue(nf::ST_CONFIRM_OVERRIDE, m_DialogItems[ID_CONFIRM_OVERRIDE].Selected);
		g_pK->m_S.SetValue(nf::ST_CONFIRM_DELETE, m_DialogItems[ID_CONFIRM_DELETE].Selected);
		g_pK->m_S.SetValue(nf::ST_CONFIRM_DELETE_CATALOGS, m_DialogItems[ID_CONFIRM_DELETE_CATALOGS].Selected);
		g_pK->m_S.SetValue(nf::ST_CONFIRM_IMPLICIT_CREATION, m_DialogItems[ID_CONFIRM_IMPLICIT_CREATING].Selected);
		g_pK->m_S.SetValue(nf::ST_CONFIRM_IMPLICIT_DELETION, m_DialogItems[ID_CONFIRM_IMPLICIT_DELETION].Selected);
		g_pK->m_S.SetValue(nf::ST_CONFIRM_GO_TO_NEAREST, m_DialogItems[ID_CONFIRM_GO_TO_NEAREST].Selected);
		g_pK->m_S.SetValue(nf::ST_ALWAYS_EXPAND_SHORTCUTS, m_DialogItems[ID_ALWAYS_EXPAND_SHORTCUTS].Selected);
		g_pK->m_S.SetValue(nf::ST_SHOW_TEMPORARY_AS_HIDDEN, m_DialogItems[ID_TEMPORARY_AS_HIDDEN].Selected);
		g_pK->m_S.SetValue(nf::ST_HISTORY_IN_DIALOG_APPLY_COMMAND, m_DialogItems[ID_HISTORY_IN_APPLY_COMMAND_DIALOG].Selected);
		g_pK->m_S.SetValue(nf::STS_PREFIXES, m_DialogItems[ID_EDIT_PREFIX].Data);

		g_pK->m_S.save();
	}

	return 0;
}



