/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#include "StdAfx.h"
#include "DialogApplyCommand.h"
#include "settings.h"

#include "Kernel.h"

using namespace nf;

CDialogApplyCommand::CDialogApplyCommand(void)
: dialogT<CDialogApplyCommand>(g_PluginInfo, 10, _T("DialogExecuteCommand"))
{
	SetDialogItems();
}

CDialogApplyCommand::~CDialogApplyCommand(void)
{
}

UINT CDialogApplyCommand::ShowModal()
{
	//    
	int nChoosedItem;

	if (Execute(nChoosedItem))
		if (nChoosedItem != ID_CANCEL)
		{	//  
			m_Command = m_DialogItems[ID_EDIT].Data;
			return 1;
		}

	return 0;
}


bool CDialogApplyCommand::IsUseHistory() const
{
	return (g_pK->m_S.GetValue(nf::ST_HISTORY_IN_DIALOG_APPLY_COMMAND));
}