/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/
#pragma once

#pragma warning(disable: 4290)
class CRegistry  
{	
	HKEY m_hKey;		
public:
	CRegistry(HKEY hkey
		, TCHAR const * pszSubKey
		, bool bNonVolatile = true
		, bool bCreateIFNotExisted = true
		) throw (DWORD);	
	virtual ~CRegistry();

	operator HKEY() {return m_hKey;}

	DWORD GetValue(TCHAR const* pKey, tstring &str);
	bool GetValue(TCHAR const* pKey, DWORD &Value);	

	bool SetValue(TCHAR const* pKey, TCHAR const* pPath)
	{
		return RegSetValueEx(m_hKey
			, pKey
			, 0
			, REG_SZ
			, (LPBYTE)pPath
			, lstrlen(pPath) + 1
		) == ERROR_SUCCESS;
	}

	bool SetValue(TCHAR const* pKey, DWORD Value)
	{
		return RegSetValueEx(m_hKey
			, pKey
			, 0
			, REG_DWORD
			, (LPBYTE)&Value
			, sizeof(Value)
		) == ERROR_SUCCESS;
	}
};

#pragma warning(default: 4290)